%define name Hermes
%define version 1.3.2
%define release 2mdk
%define prefix %{_prefix}

Name: %{name}
Summary: HERMES pixel format conversion library
Version: %{version}
Release: %{release}
Copyright: LGPL
Group: System/Libraries
Source: http://dark.x.dtu.dk/~mbn/clanlib/download/%{name}-%{version}.tar.bz2
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://clanlib.org/hermes

%description
HERMES is a library designed to convert a source buffer with a specified pixel
format to a destination buffer with possibly a different format at the maximum
possible speed.

On x86 and MMX architectures, handwritten assembler routines are taking over
the job and doing it lightning fast.

On top of that, HERMES provides fast surface clearing, stretching and some
dithering. Supported platforms are basically all that have an ANSI C compiler
as there is no platform specific code but those are supported: DOS, Win32
(Visual C), Linux, FreeBSD (IRIX, Solaris are on hold at the moment), some BeOS
support.

%package devel
Summary: development tools for %{name}
Group: Development/C
Requires: %{name}

%description devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING INSTALL.DOS INSTALL.unix TODO TODO.conversion 
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc docs/api/*.htm
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/*.?a


%changelog
* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.2-2mdk
- automatically added packager tag

* Mon Jul 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.1-5mdk
- BM

* Mon Jul 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.1-4mdk
- macros

* Mon Jul 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-3mdk
- bzip2 sources

* Sat Jul 01 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.1-2mdk
- makeinstall macro

* Wed May 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.1-1mdk
- took SRPM from Hermes web site
- (a lot of) Mandrake adaptations including split between main and devel
